require 'uu/os/rest/paging_criteria'
require 'uu/os/uesuri'


# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Activity Action.
    module ActivityAction
      # @see ActivityAction#get_activity_action_list
      class ActivityActionGetActivityActionList < UU::OS::REST::PagingCriteria

        # @see ActivityAction#get_activity_action_list
        attr_accessor :query

        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

      end
    end

  end
end
