module UU
  module OS
    module PersonalRole
      # Enumeration of Account Realms that could be deleted by PersonalRole.removeAccount.
      class PersonalRoleAccountRealm

        # Google
        GOOGLE = 'google.oauth.unicornuniverse.eu'

        # Facebook
        FACEBOOK = 'facebook.oauth.unicornuniverse.eu'

        # Microsoft
        MICROSOFT = 'microsoft.oauth.unicornuniverse.eu'

        # Mobile login
        MOBILE = 'm.unicornuniverse.eu'

        #Diary access
        DIARY = 'sync.unicornuniverse.eu'
        
        #Secure key
        SECURE = 'otp.unicornuniverse.eu'
        
        #One time login
        ONETIME = 'totp.unicornuniverse.eu'
        
      end

    end
  end
end

