require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Basic group.
    module BasicGroup
      # @see BasicGroup#addArtifactInterface
      class BasicGroupAddArtifactInterface < UU::OS::REST::DTO

        # @see BasicGroup#add_artifact_interface
        attr_accessor :artifact_interface_code
        def artifact_interface_code
          attributes[:artifactInterfaceCode]
        end

        def artifact_interface_code=(val)
          attributes[:artifactInterfaceCode] = val
        end

      end
    end
  end
end