require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PersonalRole
      # Attributes of the user setting for artifact presentation.
      class PersonalRoleSetArtifactPresentationAttributes < UU::OS::REST::DTO

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :artifact_width

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :header_display_mode

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :control_bar_display_mode

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :pin_artifact_header

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :context_menu_display_mode

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :artifact_display_mode
        def artifact_width
          attributes[:artifactWidth]
        end

        def  artifact_width=(val)
          attributes[:artifactWidth] = val
        end

        def header_display_mode
          attributes[:headerDisplayMode]
        end

        def header_display_mode=(val)
          attributes[:headerDisplayMode] = val
        end

        def control_bar_display_mode
          attributes[:controlBarDisplayMode]
        end

        def control_bar_display_mode=(val)
          attributes[:controlBarDisplayMode] = val
        end

        def pin_artifact_header
          attributes[:pinArtifactHeader]
        end

        def pin_artifact_header=(val)
          attributes[:pinArtifactHeader] = val
        end

        # @deprecated
        def context_menu_display_mode
          attributes[:contextMenuDisplayMode]
        end

        # @deprecated
        def context_menu_display_mode=(val)
          attributes[:contextMenuDisplayMode] = val
        end

        def artifact_display_mode
          attributes[:artifactDisplayMode]
        end

        def artifact_display_mode=(val)
          attributes[:artifactDisplayMode] = val
        end

      end
    end
  end
end
