require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Sheet.
    module Sheet
      # @see Sheet#get_version_attributes
      class SheetGetVersionAttributes < UU::OS::REST::DTO

        # @see Sheet#get_version_attributes
        attr_accessor :version_id

        def version_id 
          attributes[:versionID]
        end

        def version_id=(val) 
          attributes[:versionID] = val
        end

      end
    end
  end
end
